### Function

# Camel Operation push_message

#### Declaration [src]

    void
    camel_operation_push_message (
      GCancellable* cancellable,
      const gchar* format,
      ...
    )

#### Description [src]

Call this function to describe an operation being performed. Call `camel_operation_progress()` to report progress on the operation. Call `camel_operation_pop_message()` when the operation is complete.

This function only works if `cancellable` is a `CamelOperation` cast as a `GCancellable`. If `cancellable` is a plain `GCancellable` or `NULL`, the function does nothing and returns silently.

This function is not directly available to language bindings.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`format`

  Type: `const gchar*`

  A standard `printf()` format string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The parameters to insert into the format string.